@charset "utf-8";

.logos{
	position: absolute;
	top: 1rem;
	left: 1rem;
}
.logos img{
	height: 2rem;
}

footer{
	bottom: 3rem;
}

/*///////////////////////////////////*/
/* DIARY */

.subcontents{
	padding: 7rem 0;
	text-align: center;
	min-height: 100svh;
}
.subcontents .inner{
	max-width: 1200px;
	margin: 0 auto;
}

.page-diary{
	background: url(../img/diary_bg.jpg) repeat center top / cover;
}
.subcontents h2{
	position: relative;
	font-size: 1rem;
	width: fit-content;
	margin: 0 auto 2rem;
}
.subcontents h2 img{
	height: 3rem;
	margin-bottom: 1rem;
}

.page-diary h2::after{
	content: '';
	display: block;
	aspect-ratio: 213 / 234;
	background: url(../img/tsubame_img1.png) no-repeat 0 0 / 100% auto;
	width: 5rem;
	position: absolute;
	right: 0;
	top: 0;
	transform: translate(150%, -25%);
}

.diary-tab{
	margin-bottom: 3rem;
}
.diary-tab ul{
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(calc(25% - 1rem), 1fr));
	grid-gap: 1rem;
	font-size: 1rem;
}
.diary-tab li{
	flex: 1;
}
.diary-tab a{
	display: block;
	color: #fff;
	background-color: #000;
	padding: .5rem;
	border-radius: .5rem;
}
.diary-tab .active a{
	background-color: #E50012;
	position: relative;
}
.diary-tab .active a::after{
	content: '';
	display: block;
	clip-path: polygon(0 0, 100% 0%, 50% 100%);
	width: 100%;
	height: 1.2rem;
	background-color: #E50012;
	position: absolute;
	bottom: -1.1rem;
	left: 0;
	right: 0;
	border-radius: .5rem;
}

.diary-list{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-gap: 2rem;
}

#lightbox .lb-outerContainer{
	border-radius: 1rem;
	width: 80% !important;
	max-width: 80% !important;
}
#lightbox .lb-image{
	border-radius: 0;
	border: none;
	margin: 0 auto !important;
}
.lb-nav a.lb-prev,
.lb-nav a.lb-next{
	opacity: 1 !important;
	background-size: 1rem auto !important;
	width: 10% !important;
}
#lightbox .lb-nav a.lb-prev{
	background-image: url(../img/prev.png) !important;
	background-position-x: 1rem;
}
#lightbox .lb-nav a.lb-next{
	background-image: url(../img/next.png) !important;
	background-position-x: calc(100% - 1rem);
}
#lightbox .lb-data .lb-close{
	background-image: url(../img/close.png) !important;
	background-size: 100% auto;
	top: 0 !important;
	width: 2rem !important;
	height: 2rem !important;
	opacity: 1 !important;
}
#lightbox .lb-cancel{
	background-image: url(../img/loading.gif) !important;
}
.lb-dataContainer{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	z-index: 20;
	width: 80% !important;
	max-width: 80% !important;
	padding: .7rem .5rem !important;
}

@media screen and (max-width: 750px){
	.subcontents .inner{
		padding: 0 1.5rem;
	}
	.subcontents h2{
		font-size: 1rem;
	}
	.subcontents h2 img{
		height: 3rem;
	}
	.subcontents h2::after{
		width: 3rem;
		transform: translate(110%, 0);
	}
	.diary-tab ul{
		grid-template-columns: repeat(auto-fit, minmax(calc(25% - .3rem), 1fr));
		grid-gap: .3rem;
		font-size: .9rem;
	}
	.diary-tab a{
		padding: .3rem;
		border-radius: .3rem;
	}
	.diary-list{
		grid-template-columns: 1fr 1fr;
		grid-gap: 1.5rem;
	}

	#lightbox .lb-outerContainer,
	#lightbox .lb-dataContainer{
		width: 90% !important;
		max-width: 90% !important;
	}
	#lightbox .lb-image{
		width: 80% !important;
	}
	#lightboxOverlay{
		width: 100% !important;
	}
}

/*///////////////////////////////////*/
/* FLAG */

.page-flag{
	background-image: url(../img/supporter_bg.png), url(../img/sec7_bg2.png);
	background-repeat: no-repeat, no-repeat;
	background-position: center center, center bottom;
	background-size: 100% auto, 100% auto;
	background-color: #B9E5F3;
}
.supporter-flag{
	background: url(../img/event_bg4.png) repeat 0 0 / .6rem auto #fff;
	border-radius: 1rem;
	padding: 3rem 2.5rem;
}
.page-flag h3{
	font-weight: 900;
	font-size: 1.4rem;
}
.page-flag h4{
	margin-bottom: 1rem;
	font-weight: normal;
	font-size: 1rem;
	margin-top: 4rem;
}
.page-flag dl{
	display: grid;
	grid-template-columns: 1fr 2fr;
	border: 1.5px solid #060606;
	margin-bottom: 2rem;
	background-color: #fff;
}
.page-flag dt{
	background-color: #060606;
	color: #fff;
	padding: 1rem;
	text-align: center;
	align-content: center;
}
.page-flag dd{
	padding: 1rem 2rem;
	text-align: left;
	font-size: .8rem;
	align-content: center;
	line-height: 2;
}
.supporter-flag > p{
	margin: 1rem 0;
	font-size: 1rem;
}
.supporter-flag > p a{
	color: #0C2FC6;
	border-bottom: 1px solid #0C2FC6;
}

.page-flag ol{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-gap: 2rem;
	list-style: none;
}
.page-flag li ._img{
	position: relative;
}
.page-flag ol p{
	text-align: left;
	margin-top: .5rem;
	line-height: 2;
}

@media screen and (min-width: 750px){
	.page-flag li:not(:last-child) ._img::after{
		content: '';
		display: block;
		background-color: #C00E0E;
		width: 1.7rem;
		height: 2rem;
		clip-path: polygon(
			0 calc(50% - (50% / 2)),
			50% calc(50% - (50% / 2)),
			50% 0,
			100% 50%,
			50% 100%,
			50% calc(50% + (50% / 2)),
			0 calc(50% + (50% / 2))
		);
		position: absolute;
		right: -1.5rem;
		top: 60%;
		transform: translate(0, -50%);
	}
}

@media screen and (max-width: 750px){
	.page-flag{
		background-image: url(../img/sec7_bg_sp1.png), url(../img/sec7_bg_sp2.png);
		background-position: center top, center bottom;
	}
	.page-flag ol,
	.page-flag dl{
		grid-template-columns: 1fr;
	}
	.supporter-flag{
		padding: 2rem 1.5rem;
	}
	.page-flag h3{
		font-size: 2rem;
	}
	.page-flag h4{
		margin-top: 3rem;
		font-size: 1.1rem;
	}
	.page-flag dt{
		padding: .5rem;
	}
	.page-flag dd p{
		width: fit-content;
		margin: 0 auto;
	}
	.page-flag ol{
		grid-gap: 0;
	}
	.page-flag li:not(:last-child)::after{
		content: '';
		display: block;
		background-color: #C00E0E;
		width: 5.5rem;
		height: 2.5rem;
		clip-path: polygon(
	    25% 0%, 
	    75% 0%, 
	    75% 50%, 
	    100% 50%, 
	    50% 100%, 
	    0% 50%, 
	    25% 50%
	  );
		margin: 1rem auto;
	}
}